export declare class Inflector {
    /**
     * Converts a string to kebab-case
     * https://gist.github.com/thevangelist/8ff91bac947018c9f3bfaad6487fa149#gistcomment-2659294
     *
     * @param string - String to convert to kebab-case
     *
     * @returns kebab-case-string
     */
    static kebabCase(string: string): string;
    /**
     * Returns a string with the first letter in uppercase
     *
     * @param string String to transform the first letter in uppercase
     */
    static upFirst(string: string): string;
    /**
     * Converts a string to PascalCase
     */
    static pascalCase(string: string): string;
    /**
     * Converts a string to camelCase
     */
    static camelCase(string: any): string;
    /**
     * Converts a string to snake_case
     * https://stackoverflow.com/a/52964182
     */
    static snakeCase(str: string): string;
}
